aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2017-03-18 08:11:36 +0000
committerWilliam Pitcock <nenolod@dereferenced.org>2017-03-18 08:12:07 +0000
commit8bceff9e6cf865314722ef8d47f2830c2745527d (patch)
tree21198b6d28d4a9ec550f9596b146db6bfc394d19
parentf8f30b412d2048942f459d92616169357d02858d (diff)
downloadaports-8bceff9e6cf865314722ef8d47f2830c2745527d.tar.gz
aports-8bceff9e6cf865314722ef8d47f2830c2745527d.tar.bz2
aports-8bceff9e6cf865314722ef8d47f2830c2745527d.tar.xz
community/apk-gtk: new aport
-rw-r--r--community/apk-gtk/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/community/apk-gtk/APKBUILD b/community/apk-gtk/APKBUILD
new file mode 100644
index 0000000000..5f0805e3e2
--- /dev/null
+++ b/community/apk-gtk/APKBUILD
@@ -0,0 +1,50 @@
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=apk-gtk
+pkgver=0.1
+pkgrel=0
+pkgdesc="gtk+ frontend to apk"
+url="http://github.com/kaniini/apk-gtk"
+arch="all"
+license="MIT"
+depends=""
+makedepends="gtk+2.0-dev gtk+3.0-dev vte-dev vte3-dev"
+install=""
+subpackages="$pkgname-gtk3 $pkgname-policy::noarch"
+source="apk-gtk-$pkgver.tar.gz::https://github.com/kaniini/apk-gtk/archive/v$pkgver.tar.gz"
+builddir="$srcdir/apk-gtk-$pkgver"
+
+build() {
+ cd "$builddir"
+
+ make GTK_VERSION=3 || return 1
+ cp apk-gtk apk-gtk.3
+
+ make clean || return 1
+ make GTK_VERSION=2 || return 1
+}
+
+package() {
+ depends="$pkgname-policy"
+
+ cd "$builddir"
+ make GTK_VERSION=2 DESTDIR="$pkgdir" install || return 1
+}
+
+policy() {
+ depends=""
+ pkgdesc="gtk+ frontend to apk (policykit policy)"
+
+ mkdir -p "$subpkgdir"/usr/share
+ mv "$pkgdir"/usr/share/polkit-1 "$subpkgdir"/usr/share/polkit-1
+}
+
+gtk3() {
+ # we can only have one or the other :/
+ depends="$pkgname-policy"
+ conflicts="$pkgname"
+
+ install -Dm755 "$builddir"/apk-gtk.3 "$subpkgdir"/usr/sbin/apk-gtk
+ install -Dm644 "$builddir"/apk-gtk.svg "$subpkgdir"/usr/share/apk-gtk/apk-gtk.svg
+}
+
+sha512sums="1e620f53f759d4c73edf66505fa17d9034edbe99f75764ba0e3cf75dd292451dd53784f1150cc6c6021e5b2a6e92a0f3cade75b32e6930207b9e60306606561e apk-gtk-0.1.tar.gz"